%define release_name Spherical Cubie
%define dist_version 18

Summary:	Cubieboard release files
Name:		cubie-release
Version:	18
Release:	0.8
License:	GPLv2
Group:		System Environment/Base
URL:		http://tekkamanninja.fedorapeople.org/
Source:		%{name}-%{version}.tar.bz2
Obsoletes:	redhat-release
Provides:	redhat-release
Obsoletes:	fedora-release
Provides:	fedora-release
Provides:	system-release = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Cubieboard release files such as yum configs and various /etc/ files that
define the release.  This release is based on Fedora, but is a remix for 
the Allwinner A10 Cubieboard.


%prep
%setup -q
sed -i 's|@@VERSION@@|%{dist_version}|g' Cubieboard-Legal-README.txt

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Cubieboard release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/cubie-release
echo -e "\t\tbased on Fedora %{fedora_version} (%{release_name})" >> $RPM_BUILD_ROOT/etc/cubie-release
echo "cpe:/o:fedoraproject:fedora:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
cp -p $RPM_BUILD_ROOT/etc/cubie-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s cubie-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s cubie-release $RPM_BUILD_ROOT/etc/system-release

cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME=Cubieboard
VERSION="%{version} (%{release_name})"
ID=fedora
VERSION_ID=%{version}
PRETTY_NAME="Cubieboard %{version} (%{release_name})"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:%{version}"
EOF

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora-$arch
done
ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora
for arch in arm armhfp arm64 ppc ppc64 s390 s390x sparc sparc64
  do
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-secondary RPM-GPG-KEY-fedora-$arch
done
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fedora		%{dist_version}
%%dist		.fc%{dist_version}
%%fc%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL Cubieboard-Legal-README.txt
%config %attr(0644,root,root) /etc/os-release
%config %attr(0644,root,root) /etc/cubie-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*


%changelog
* Mon Feb  6 2013 Fu wei <wefu@redhat.com>
- First version of the Cubieboard release package.


